> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Template Test Detail > Returns information about a specified template test ## OpenAPI ````json GET /api/v1/Authoring/projects/{projectId}/template-tests/{testId} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/template-tests/{testId}": { "get": { "tags": [ "Authoring" ], "summary": "Get Template Test Detail", "description": "Returns information about a specified template test", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the test", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "testId", "in": "path", "description": "Template test to retrieve", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestView" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.TemplateTestView": { "title": "TemplateTestView", "type": "object", "properties": { "detail": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDetail" }, "dataSources": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSource" }, "description": "The template test's data sources" }, "dataSetTypeCombinations": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetTypeCombination" }, "description": "The template test's data set type combinations" }, "leftDataSource": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSource" }, "rightDataSource": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSource" }, "defaultAbortFailureCount": { "type": "integer", "description": "The template test's default number of failures allowed before aborting", "format": "int32" }, "variableTypes": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The template test's variable types" }, "profileAggregates": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The template test's profile aggregates" }, "profileWindows": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The template test's profile windows" }, "profileDefinitions": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProfileDefinition" }, "description": "The template test's profile definitions" }, "metaReferences": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.AvailableReference" }, "description": "The template test's meta references" }, "metaQueryReferences": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.AvailableReference" }, "description": "The template test's meta query references" }, "folders": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.FolderItem" }, "description": "The template test's folders" }, "selectedFolder": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.FolderItem" }, "hasTemplateTestLicense": { "type": "boolean", "description": "Whether the user has a license that allows for template tests" }, "hasMaterializedTests": { "type": "boolean", "description": "Whether the template test has materialized tests" }, "objectFilterFields": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MetaObjectFilterField" }, "description": "The template test'sobject filter fields" }, "metaDataTypes": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The template test's meta data types" }, "metaTableTypes": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The template test's meta table types" }, "versionInfo": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.VersionInfo" }, "importFile": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ImportFileInfo" }, "summary": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestSummary" }, "assignedLabels": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.AssignedLabel" }, "description": "The template test's assigned labels" }, "isTestAuthor": { "type": "boolean", "description": "Whether the user is a test author" }, "defaultStringEvaluationOperatorId": { "type": "integer", "description": "The template test's default string evaluation operator ID", "format": "int32" }, "defaultStringEvaluationResultId": { "type": "integer", "description": "The template test's default string evaluation result ID", "format": "int32" }, "defaultStringCaseSensitive": { "type": "boolean", "description": "Whether the template test's default string is case sensitive" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDetail": { "title": "TemplateTestDetail", "type": "object", "properties": { "testId": { "type": "integer", "description": "The template test's ID", "format": "int32", "nullable": true }, "templateName": { "type": "string", "description": "The template test's template name", "nullable": true }, "templateDescription": { "type": "string", "description": "The template test's template description", "nullable": true }, "dataSourceId": { "type": "integer", "description": "The template test's data source ID", "format": "int32", "nullable": true }, "testLevelId": { "type": "integer", "description": "The template test's test level ID", "format": "int32", "nullable": true }, "testGenSourceId": { "type": "integer", "description": "The template test's test gen source ID", "format": "int32", "nullable": true }, "testGenTypeId": { "type": "integer", "description": "The template test's test gen type ID", "format": "int32", "nullable": true }, "childTestName": { "type": "string", "description": "The template test's child test name", "nullable": true }, "childTestDescription": { "type": "string", "description": "The template test's child test description", "nullable": true }, "childFolderId": { "type": "integer", "description": "The template test's child folder ID", "format": "int32", "nullable": true }, "childFolderRelativePath": { "type": "string", "description": "The template test's child folder relative path", "nullable": true }, "leftDataSet": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetTemplateTest" }, "rightDataSet": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetTemplateTest" }, "valueSuccessConditionType": { "type": "string", "description": "The template test's value success condition type", "nullable": true }, "valueSuccessTolerance": { "type": "string", "description": "The template test's value success tolerance", "nullable": true }, "overallSuccessConditionType": { "type": "string", "description": "The template test's overall success condition type", "nullable": true }, "overallSuccessTolerance": { "type": "string", "description": "The template test's overall success tolerance", "nullable": true }, "resultsAreOrdered": { "type": "string", "description": "Whether the template test's results are ordered", "nullable": true }, "onlyKeepFailures": { "type": "string", "description": "Whether the template test's results only keep failures", "nullable": true }, "abortAfterFailures": { "type": "string", "description": "Whether the template test aborts after a certain amount of failures", "nullable": true }, "abortFailureCount": { "type": "string", "description": "Number of failures before the template test aborts", "nullable": true }, "abortAfterRows": { "type": "string", "description": "Whether the template test aborts after a certain amount of rows", "nullable": true }, "abortRowCount": { "type": "string", "description": "Number of rows before the template test aborts", "nullable": true }, "purgeResults": { "type": "string", "description": "Whether the template test will purge results", "nullable": true }, "purgeResultsAfterDays": { "type": "string", "description": "Number of days after execution when results are purged", "nullable": true }, "transferLabels": { "type": "boolean", "description": "Set to transfer labels" }, "versionId": { "type": "integer", "description": "The template test's version ID", "format": "int32", "nullable": true }, "variables": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateTestVariable" }, "description": "The template test's variables" }, "objectFilters": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestMetaObjectFilter" }, "description": "The template test's object filters" }, "templateTestImportFileId": { "type": "integer", "description": "The template test's import file ID", "format": "int32", "nullable": true }, "metaObjectQuery": { "$ref": "#/components/schemas/Common.MetaObjectQuery" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestDataSource": { "title": "TestDataSource", "type": "object", "properties": { "hasMetadata": { "type": "boolean", "description": "Whether the data source has metadata" }, "canViewMetadata": { "type": "boolean", "description": "Whether the user can view metadata" }, "isActive": { "type": "boolean", "description": "Whether the data source is active" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSetTypeCombination": { "title": "DataSetTypeCombination", "type": "object", "properties": { "targetSetTypes": { "type": "array", "items": { "title": "DataSetType", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetType" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSetTypeCombination" } ] }, "description": "List of target set types" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.KeyValue": { "title": "KeyValue", "type": "object", "additionalProperties": false }, "Configuration.Api.Models.v1.ProfileDefinition": { "title": "ProfileDefinition", "type": "object", "properties": { "dataSourceId": { "type": "integer", "description": "The profile definition's data source ID", "format": "int32", "nullable": true }, "engineIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "The profile definition's engine IDs" }, "levelId": { "type": "integer", "description": "The profile definition's level ID", "format": "int32" }, "referenceKey": { "type": "string", "description": "The profile definition's reference key", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.AvailableReference": { "title": "AvailableReference", "type": "object", "properties": { "referenceKey": { "type": "string", "description": "The reference's key", "nullable": true }, "levelId": { "type": "integer", "description": "The reference's level ID", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.FolderItem": { "title": "FolderItem", "type": "object", "properties": { "id": { "type": "integer", "description": "The folder item's ID", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.MetaObjectFilterField": { "title": "MetaObjectFilterField", "type": "object", "properties": { "fieldKey": { "type": "string", "description": "The filter field's key", "nullable": true }, "fieldName": { "type": "string", "description": "The filter field's name", "nullable": true }, "operators": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" }, "description": "The filter field's operators" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.VersionInfo": { "title": "VersionInfo", "type": "object", "properties": { "versionId": { "type": "integer", "description": "The version info's version ID", "format": "int32" }, "versionNumber": { "type": "integer", "description": "The version info's version number", "format": "int32" }, "latestVersionName": { "type": "string", "description": "The version info's latest version name", "nullable": true }, "latestVersionNumber": { "type": "integer", "description": "The version info's latest version number", "format": "int32" }, "createdInfo": { "type": "string", "description": "The version info's creation info", "nullable": true }, "versions": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestVersion" }, "description": "The version info's list of test versions" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ImportFileInfo": { "title": "ImportFileInfo", "type": "object", "properties": { "fileId": { "type": "integer", "description": "The import file's ID", "format": "int32" }, "dateCreated": { "type": "string", "description": "The import file's date of creation", "format": "date-time" }, "recordCount": { "type": "integer", "description": "The import file's record count", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestSummary": { "title": "TemplateTestSummary", "type": "object", "properties": { "asOfDate": { "type": "string", "description": "Date the template test summary is based off of", "format": "date-time", "nullable": true }, "metrics": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Metric" }, "description": "The template test summary's metrics" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.AssignedLabel": { "title": "AssignedLabel", "type": "object", "properties": { "id": { "type": "integer", "description": "The ID of the label assignment", "format": "int32" }, "labelId": { "type": "integer", "description": "The ID of the label", "format": "int32" }, "labelName": { "type": "string", "description": "The name of the label", "nullable": true }, "isLocked": { "type": "boolean", "description": "Whether the label is locked" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSetTemplateTest": { "title": "DataSetTemplateTest", "type": "object", "properties": { "testDataSetTypeId": { "type": "integer", "description": "The data set's type", "format": "int32", "nullable": true }, "dataSource": { "type": "string", "description": "The data set's data source", "nullable": true }, "metaLinks": { "type": "string", "description": "The data set's meta links", "nullable": true }, "configurationJson": { "type": "string", "description": "The data set's configuration, written in JSON", "nullable": true } }, "additionalProperties": false }, "Common.TemplateTestVariable": { "title": "TemplateTestVariable", "type": "object", "properties": { "referenceKey": { "type": "string", "nullable": true }, "type": { "$ref": "#/components/schemas/Enums.TemplateTestVariableType" }, "defaultValue": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestMetaObjectFilter": { "title": "TemplateTestMetaObjectFilter", "type": "object", "properties": { "id": { "type": "integer", "description": "The template test filter's ID", "format": "int32", "nullable": true }, "fieldKey": { "type": "string", "description": "The template test filter's field key", "nullable": true }, "operatorId": { "type": "integer", "description": "The template test filter's operator ID", "format": "int32", "nullable": true }, "value": { "type": "string", "description": "The template test filter's value", "nullable": true } }, "additionalProperties": false }, "Common.MetaObjectQuery": { "title": "MetaObjectQuery", "type": "object", "properties": { "dataSourceId": { "type": "integer", "format": "int32", "nullable": true }, "script": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSetType": { "title": "DataSetType", "type": "object", "properties": { "isScalar": { "type": "boolean", "description": "Whether the data set type is scalar" }, "requiresDataSource": { "type": "boolean", "description": "Whether the data set type requires a data source" }, "requiresMetadata": { "type": "boolean", "description": "Whether the data set type requires metadata" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestVersion": { "title": "TestVersion", "type": "object", "properties": { "number": { "type": "integer", "description": "The version's number", "format": "int32" }, "name": { "type": "string", "description": "The version's name", "nullable": true }, "creationDate": { "type": "string", "description": "The version's creation date", "nullable": true }, "creationTime": { "type": "string", "description": "The version's creation time", "nullable": true }, "creator": { "type": "string", "description": "The version's creator", "nullable": true }, "labels": { "type": "array", "items": { "type": "string" }, "description": "The version's assigned labels" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Metric": { "title": "Metric", "type": "object", "properties": { "name": { "type": "string", "description": "The metric's name", "nullable": true }, "value": { "type": "integer", "description": "The metric's value", "format": "int32" } }, "additionalProperties": false }, "Enums.TemplateTestVariableType": { "title": "TemplateTestVariableType", "enum": [ "Schema", "Table", "Column", "Other", "Boolean", "Numeric" ], "type": "string" } } } } ````